Improve this Doc View Source

The ngMousedown directive allows you to specify custom behavior on mousedown event.

## Directive Info

- This directive executes at priority level 0.

## Usage

- as element:

      <ng-mousedown
        ng-mousedown="expression">
      ...
      </ng-mousedown>

- as attribute:

      <ANY
        ng-mousedown="expression">
      ...
      </ANY>

### Arguments

Param | Type | Details
--- | --- | ---
ngMousedown | expression | Expression to evaluate upon mousedown. (Event object is available as `$event`)

## Examples

    <button ng-mousedown="count = count + 1" ng-init="count=0">
      Increment (on mouse down)
    </button>
    count: {{count}}